#19_04_13
#ouvre les fichiers skp d'un dossier, le met de face, zoom tout, sauve un double du modele
#et prend le suivant 

require 'sketchup.rb'

if(not file_loaded?("SKP_recap.rb"))
    plugins_menu = UI.menu("Plugins")
    plugins_menu.add_item("SKP_recap") {SKPrec.cherche_skp}
end
file_loaded("SKP_recap.rb")

module SKPrec

def SKPrec.cherche_skp

# saisie de l'adresse du dossier
model = Sketchup.active_model # Open model
entities = model.entities # All entities in model
selection = model.selection # Current selection
model = Sketchup.active_model
rep_path =  UI.openpanel("dossier ou sont les skp","*.skp")
rep_path = (rep_path.split("\\")[0..-2]).join("/")

#initialise le tableau des SKPs
skps=[]

#traitement des fichiers
Dir.entries(rep_path).each{|f|skps<<File.join(rep_path,f)if File.extname(f).downcase==".skp"}
skps.each{|skp|

#ouvre modele                
Sketchup.file_new
status = Sketchup.open_file skp
 
model=Sketchup.active_model
#nom_model = model.title

#code qui met l'affichage en style BD
#masque les points de construction
renderingoptions = model.rendering_options
value = renderingoptions["HideConstructionGeometry"] = true
#dessine le contour des composants
value = renderingoptions["DrawSilhouettes"] = true
#fixe l'epaisseur des traits de silhouette a 1
value = renderingoptions["SilhouetteWidth"] = 1
#enleve les aretes
value = renderingoptions["EdgeDisplayMode"] = false	

#purge
layers = model.layers
#efface les calques vides
layers.purge_unused
#purge les materiaux
Sketchup.active_model.materials.purge_unused
#purge les composants
Sketchup.active_model.definitions.purge_unused
#purge les styles
Sketchup.active_model.styles.purge_unused

#vue de face
direction = Y_AXIS
model.active_view.camera.set( ORIGIN, direction, direction.axes.y)
#zoom tout
model.active_view.zoom_extents

nom_model = model.title
#constitue le nom du modele
nom_model = rep_path + "/" + nom_model + "bis"+".skp"
puts nom_model
#sauve
model.save nom_model
#prompt2 = UI.messagebox("continuer?",MB_OKCANCEL) 
#if prompt2 ==2
#fail
#end

          
}



end #def

end #module